> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api-stage-structure/cycling.md).

# Cycling

In case of Cycling the structure is organized into stages.

To retrieve details related to Cycling events, it is necessary to start with retrieving the sport id in the "All sport" end point.

```xml
<sport id="sr:sport:17" name="Cycling"/>
```

Once we have the id of the sport we can use it in the  end point "All available tournament for a sport" filtering by using sport id=17 and we can get the following:

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
  <sport_tournaments xmlns="http://schemas.sportradar.com/sportsapi/v1/unified" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" generated_at="2021-10-08T10:20:07+00:00"
xsi:schemaLocation="http://schemas.sportradar.com/sportsapi/v1/unified http://schemas.sportradar.com/ufsportsapi/v1/endpoints/unified/ufsportsapi.xsd">
    <sport id="sr:sport:17" name="Cycling"/>
    <tournaments>
      <tournament id="sr:stage:537016" name="Cycling Men 2020" scheduled="2020-01-01T00:00:00+00:00" scheduled_end="2020-12-31T00:00:00+00:00">
        <sport id="sr:sport:17" name="Cycling"/>
        <category id="sr:category:96" name="International"/>
      </tournament>
      <tournament id="sr:stage:604213" name="Cycling Women 2020" scheduled="2020-02-01T00:00:00+00:00" scheduled_end="2020-10-25T00:00:00+00:00">
        <sport id="sr:sport:17" name="Cycling"/>
        <category id="sr:category:96" name="International"/>
      </tournament>
      <tournament id="sr:stage:635575" name="Cycling Men 2021" scheduled="2021-02-21T08:25:00+00:00" scheduled_end="2021-10-19T23:00:00+00:00">
        <sport id="sr:sport:17" name="Cycling"/>
        <category id="sr:category:96" name="International"/>
      </tournament>
      <tournament id="sr:stage:637877" name="Cycling Women 2021" scheduled="2021-01-30T00:00:00+00:00" scheduled_end="2021-10-23T23:00:00+00:00">
        <sport id="sr:sport:17" name="Cycling"/>
        <category id="sr:category:96" name="International"/>
      </tournament>
      <tournament id="sr:stage:724688" name="Cycling Men 2022" scheduled="2022-01-18T00:00:00+00:00" scheduled_end="2022-10-18T23:55:00+00:00">
        <sport id="sr:sport:17" name="Cycling"/>
        <category id="sr:category:96" name="International"/>
      </tournament>
      <tournament id="sr:stage:726694" name="Cycling Women 2022" scheduled="2022-01-29T00:00:00+00:00" scheduled_end="2022-10-18T23:55:00+00:00">
        <sport id="sr:sport:17" name="Cycling"/>
        <category id="sr:category:96" name="International"/>
      </tournament>
    </tournaments>
```

In this case, it seems there are no parenting stages to investigate further therefore, in order to get more info related to one of the stages it is necessary to filter them in the fixture end point.

```xml


<tournament_info generated_at="2021-10-08T10:28:22.089+00:00" xsi:schemaLocation="http://schemas.sportradar.com/sportsapi/v1/unified 
http://schemas.sportradar.com/bsa/unified/v1/xml/endpoints/unified/tournament_info.xsd" xmlns="http://schemas.sportradar.com/sportsapi/v1/unified" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <tournament id="sr:stage:537016" name="Cycling Men" scheduled="2020-01-01T00:00:00+00:00" scheduled_end="2020-12-31T00:00:00+00:00">
    <sport id="sr:sport:17" name="Cycling"/>
    <category id="sr:category:96" name="International"/>
  </tournament>
  <coverage_info live_coverage="false"/>
</tournament_info>
```

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/uof/api-and-structure/api-stage-structure/cycling.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
